<template>
  <div>
    <li>
      <a
        @click.prevent="$refs.logoutModal.Open()"
        class="kioskbutton" data-control="PopupTrigger"><img src="/images/kiosk-button8-logout.png"></a>
    </li>
    <logout-modal ref="logoutModal">
      <div
        slot="logout"
        id="overlay">
        <section
          id="logoutwindow"
          data-control="Popup"
          class="modalwindow">
          <section class="windowcontent">Are you sure?
            <div class="loginbuttoncontainer">
              <div class="popupbuttoncontainer logoutbutton">
                <div class="popupbtn buttonleft"></div>
                <div class="popupbtn buttonmiddle" @click.prevent="logout($refs)">LOGOUT</div>
                <div class="popupbtn buttonright"></div>
                <div class="clear"></div>
              </div>
              <div class="popupbuttoncontainer cancelbutton">
                <div class="popupbtn buttonleft"></div>
                <div
                  @click="$refs.logoutModal.Close()"
                  class="popupbtn buttonmiddle">CANCEL
                </div>
                <div class="popupbtn buttonright"></div>
                <div class="clear"></div>
              </div>
              <div class="clear"></div>
            </div>
          </section>
          <a @click="$refs.logoutModal.Close()" class="close closebutton maskfadeout" data-dismiss="modal"><img src="/images/closebutton.png"></a>
        </section>
      </div>
    </logout-modal>
  </div>
</template>

<script>
import LogoutModal from '../../../shared/views/ShopModal.vue';
export default {
  components: {
    LogoutModal
  },
  methods: {
    logout(refs) {
      refs.logoutModal.Close();
      this.$emit('logout');
    }
  }
}
</script>

<style>

</style>
